## auto-multiple-choice 0.376

=== Makefile ===
#
# Copyright (C) 2008-2011 Alexis Bienvenue <paamc@passoire.fr>
#
# This file is part of Auto-Multiple-Choice
#
# Auto-Multiple-Choice is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# Auto-Multiple-Choice is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Auto-Multiple-Choice.  If not, see
# <http://www.gnu.org/licenses/>.

SUB_MAKEFILES=$(wildcard Makefile.versions Makefile.conf)

include $(SUB_MAKEFILES)

PACKAGE_DEB_DV=1

SUBST_VARS:=$(shell grep -h '=' $(SUB_MAKEFILES) | grep -v '^\#' | sed 's/?\?=.*//;' ) PACKAGE_DEB_DV

GCC ?= gcc
GCC_PP ?= gcc
CFLAGS ?= -O2
CXXFLAGS ?= -O2

SHELL=/bin/sh

DESTDIR=

MODS=AMC-*.pl AMC-traitement-image AMC-mepdirect
GLADE=AMC-gui.glade
MOD_GLADE=$(wildcard AMC-perl/AMC/Gui/*.glade.in)
STY=automultiplechoice.sty
MOS=$(wildcard I18N/lang/*.mo)
LANGS=$(notdir $(basename $(MOS)))
SUBMODS=$(notdir $(shell ls doc/modeles))

DOC_XML_IN=$(wildcard doc/auto-multiple-choice.*.in.xml)

FROM_IN=auto-multiple-choice auto-multiple-choice.desktop AMC-gui.glade $(MOD_GLADE:.glade.in=.glade) AMC-gui.pl AMC-perl/AMC/Basic.pm doc/doc-xhtml-site.fr.xsl doc/doc-xhtml-site.en.xsl doc/doc-xhtml.xsl $(DOC_XML_IN:.in.xml=.xml)

PRECOMP_FLAG_FILE=PRECOMP
PRECOMP_ARCHIVE:=$(wildcard $(PRECOMP_FLAG_FILE))

MAIN_LOGO=icons/auto-multiple-choice

ifeq ($(PRECOMP_ARCHIVE),)
all: $(FROM_IN) AMC-traitement-image AMC-mepdirect $(MAIN_LOGO).xpm doc I18N ;
else
all: all_precomp ;
endif

all_precomp: $(FROM_IN) AMC-traitement-image AMC-mepdirect ;

MAJ: $(FROM_IN) ;

AMC-traitement-image: AMC-traitement-image.c Makefile
	$(GCC) -o $@ $< $(CFLAGS) $(LDFLAGS) $(GCC_NETPBM)

AMC-mepdirect: AMC-mepdirect.cc Makefile
	$(GCC_PP) -o $@ $< $(CXXFLAGS) $(LDFLAGS) $(GCC_POPPLER)

%.xml: %.in.xml
	sed $(foreach varname,$(SUBST_VARS), -e 's|@/$(varname)/@|$($(varname))|g;' ) -e 's+/usr/share/xml/docbook/schema/dtd/4.5/docbookx.dtd+$(DOCBOOK_DTD)+g;' $< > $@

%: %.in $(SUB_MAKEFILES)
	sed $(foreach varname,$(SUBST_VARS), -e 's|@/$(varname)/@|$($(varname))|g;' ) $< > $@

doc:
	$(MAKE) -C doc

I18N:
	$(MAKE) -C I18N

sync:
	$(MAKE) -C download-area all

%.ps: %.dvi
	dvips $< -o $@

%.ppm: %.ps
	convert -density 300 $< $*-%03d.ppm

%.png: %.svg
	inkscape --export-width=32 --export-height=32 --export-png=$@ $<

%.xpm: %.png
	pngtopnm $< | ppmtoxpm > $@

clean_IN: FORCE
	rm -rf debian/auto-multiple-choice
	rm -f $(FROM_IN)

clean: clean_IN FORCE
	rm -f AMC-traitement-image AMC-mepdirect $(MAIN_LOGO).xpm
	rm -f auto-multiple-choice.spec
	$(MAKE) -C doc clean
	$(MAKE) -C I18N clean

install_lang_%: FORCE
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(LOCALEDIR)/$*/LC_MESSAGES
	install    -m 0644 $(USER_GROUP) I18N/lang/$*.mo $(DESTDIR)/$(LOCALEDIR)/$*/LC_MESSAGES/auto-multiple-choice.mo

install_lang: $(addprefix install_lang_,$(LANGS)) ;

install_models_%: FORCE
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(MODELSDIR)/$*
	install    -m 0644 $(USER_GROUP) doc/modeles/$*/*.tgz $(DESTDIR)/$(MODELSDIR)/$*
	install    -m 0644 $(USER_GROUP) doc/modeles/$*/*.xml $(DESTDIR)/$(MODELSDIR)/$*

install_models: $(addprefix install_models_,$(SUBMODS)) ;

install: install_lang install_models FORCE
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(MODSDIR)
	install    -m 0755 $(USER_GROUP) $(MODS) $(DESTDIR)/$(MODSDIR)
	install    -m 0644 $(USER_GROUP) $(GLADE) $(DESTDIR)/$(MODSDIR)
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(TEXDIR)
	install    -m 0644 $(USER_GROUP) $(STY) $(DESTDIR)/$(TEXDIR)
ifneq ($(DESKTOPDIR),)
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(DESKTOPDIR)
	install    -m 0644 $(USER_GROUP) -T auto-multiple-choice.desktop $(DESTDIR)/$(DESKTOPDIR)/auto-multiple-choice.desktop
endif
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(BINDIR)
	install    -m 0755 $(USER_GROUP) auto-multiple-choice $(DESTDIR)/$(BINDIR)
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(ICONSDIR)
	install    -m 0644 $(USER_GROUP) icons/*.svg $(DESTDIR)/$(ICONSDIR)
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PIXDIR)
	install    -m 0644 $(USER_GROUP) -T $(MAIN_LOGO).xpm $(DESTDIR)/$(PIXDIR)/auto-multiple-choice.xpm
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Export
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Gui
	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/*.pm $(DESTDIR)/$(PERLDIR)/AMC
	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Export/*.pm $(DESTDIR)/$(PERLDIR)/AMC/Export
	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Gui/*.pm $(DESTDIR)/$(PERLDIR)/AMC/Gui
	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Gui/*.glade $(DESTDIR)/$(PERLDIR)/AMC/Gui
ifneq ($(SYSTEM_TYPE),deb) # with debian, done with dh_install{doc,man}
ifneq ($(SYSTEM_TYPE),rpm)
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(DOCDIR)
	install    -m 0644 $(USER_GROUP) doc/auto-multiple-choice.{xml,pdf} $(DESTDIR)/$(DOCDIR)
	cp -r doc/html $(DESTDIR)/$(DOCDIR)
endif
	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(MAN1DIR)
	install    -m 0644 $(USER_GROUP) doc/*.1 $(DESTDIR)/$(MAN1DIR)
endif

##############################################################################
# Following lines are only helpfull for source tarball and package building
# These targets run only with source from svn checkout
##############################################################################

LOCALDIR=$(shell pwd)

global: FORCE
	-sudo rm /usr/share/perl5/AMC /usr/lib/AMC/AMC-traitement-image /usr/lib/AMC/AMC-mepdirect $(ICONSDIR) /usr/share/doc/auto-multiple-choice $(LOCALEDIR)/fr/LC_MESSAGES/auto-multiple-choice.mo $(DESKTOPDIR)/auto-multiple-choice.desktop

local: global
	test -d /usr/lib/AMC || sudo mkdir -p /usr/lib/AMC
	test -d /usr/share/auto-multiple-choice  || sudo mkdir -p /usr/share/auto-multiple-choice
	test -d $(LOCALEDIR)/fr/LC_MESSAGES || sudo mkdir -p $(LOCALEDIR)/fr/LC_MESSAGES
	sudo ln -s $(LOCALDIR)/I18N/lang/fr.mo $(LOCALEDIR)/fr/LC_MESSAGES/auto-multiple-choice.mo
	sudo ln -s $(LOCALDIR)/AMC-perl/AMC /usr/share/perl5/AMC
	sudo ln -s $(LOCALDIR)/AMC-traitement-image /usr/lib/AMC/AMC-traitement-image
	sudo ln -s $(LOCALDIR)/AMC-mepdirect /usr/lib/AMC/AMC-mepdirect
	sudo ln -s $(LOCALDIR)/icons $(ICONSDIR)
	sudo ln -s $(LOCALDIR)/doc /usr/share/doc/auto-multiple-choice
	sudo ln -s $(LOCALDIR)/auto-multiple-choice.desktop $(DESKTOPDIR)/auto-multiple-choice.desktop

ifdef DEBSIGN_KEY
DEBSIGN=-k$(DEBSIGN_KEY)
else
DEBSIGN=-us -uc
endif

BUILDOPTS=-I.svn -Idownload_area -Ilocal $(DEBSIGN)

TMP_DIR=/tmp
SOURCE_DIR=auto-multiple-choice-$(PACKAGE_V_DEB)
TMP_SOURCE_DIR=$(TMP_DIR)/$(SOURCE_DIR)

SRC_EXCL=--exclude debian '--exclude=*~' 

version_files:
	perl local/versions.pl
	make auto-multiple-choice.spec

tmp_copy:
	rm -rf $(TMP_SOURCE_DIR)
	mkdir $(TMP_SOURCE_DIR)
	rsync -aC --exclude '*~' --exclude download_area --exclude local . $(TMP_SOURCE_DIR)

sources_vok:
	$(MAKE) tmp_copy
	cd /tmp ; tar cvzf auto-multiple-choice_$(PACKAGE_V_DEB)_sources.tar.gz $(SRC_EXCL) $(SOURCE_DIR)
	$(MAKE) -C $(TMP_SOURCE_DIR) MAJ
	$(MAKE) -C $(TMP_SOURCE_DIR) $(MAIN_LOGO).xpm I18N doc
	$(MAKE) -C $(TMP_SOURCE_DIR) clean_IN
	touch $(TMP_SOURCE_DIR)/$(PRECOMP_FLAG_FILE)
	cd /tmp ; tar cvzf auto-multiple-choice_$(PACKAGE_V_DEB)_precomp.tar.gz $(SRC_EXCL) $(SOURCE_DIR)

tmp_deb:
	$(MAKE) local/deb-auto-changelog
	$(MAKE) tmp_copy
	cp local/deb-auto-changelog $(TMP_SOURCE_DIR)/debian/changelog

debsrc_vok: tmp_deb
	cd $(TMP_SOURCE_DIR) ; dpkg-buildpackage -S -sn $(BUILDOPTS)

deb_vok: tmp_deb
	cd $(TMP_SOURCE_DIR) ; dpkg-buildpackage -b $(BUILDOPTS)

# % : make sure version_files are rebuilt before calling target %_vok

$(foreach key,deb debsrc sources,$(eval $(key): clean version_files ; $$(MAKE) $(key)_vok))

# debian repository

unstable:
	$(MAKE) -C download_area unstable sync

re_unstable:
	$(MAKE) -C download_area re_unstable sync

FORCE: ;

.PHONY: all all_precomp install version_files deb deb_vok debsrc debsrc_vok sources sources_vok clean clean_IN global local doc I18N tmp_copy tmp_deb unstable re_unstable FORCE MAJ

=== I18N/Makefile ===
#
# Copyright (C) 2010 Alexis Bienvenue <paamc@passoire.fr>
#
# This file is part of Auto-Multiple-Choice
#
# Auto-Multiple-Choice is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# Auto-Multiple-Choice is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Auto-Multiple-Choice.  If not, see
# <http://www.gnu.org/licenses/>.

SHELL=/bin/sh

DOMAIN=auto-multiple-choice

XGETTO=

AMC=..

PERL=$(AMC)/*.pl $(AMC)/AMC-perl/AMC/*.pm $(AMC)/AMC-perl/AMC/**/*.pm 

GLADE=$(AMC)/AMC-gui.glade $(AMC)/AMC-perl/AMC/**/*.glade

POS=$(wildcard lang/*.po)
MOS=$(POS:.po=.mo)
LANGS=$(basename $(notdir $(POS)))

all: $(MOS)

clean: FORCE
	rm -f $(MOS)
	rm -f *.bpot
	rm -f *.po

%.mo: %.po
	msgfmt $< -o $@

%.pot: %.bpot po-clean.pl
	perl po-clean.pl $< $@

$(DOMAIN).bpot: $(PERL) $(GLADE)
	xgettext $(XGETTO) --add-comments=TRANSLATORS: $(PERL) -k__ -k__p -k -o $@
	xgettext $(XGETTO) -j $(GLADE) -o $@
list:
	grep -lr __ $(AMC) |grep '\.\(pl\|pm\)$$' | grep -v 'debian' ; ls $(GLADE)

%.merge: $(DOMAIN).pot
	msgmerge -U lang/$*.po $(DOMAIN).pot

merge: $(addsuffix .merge,$(LANGS)) ;

FORCE: ;

.PHONY: all clean list merge FORCE

.INTERMEDIATE: $(DOMAIN).bpot

=== doc/Makefile ===
#
# Copyright (C) 2008-2010 Alexis Bienvenue <paamc@passoire.fr>
#
# This file is part of Auto-Multiple-Choice
#
# Auto-Multiple-Choice is free software: you can redistribute it
# and/or modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation, either version 2 of
# the License, or (at your option) any later version.
#
# Auto-Multiple-Choice is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Auto-Multiple-Choice.  If not, see
# <http://www.gnu.org/licenses/>.

SHELL=/bin/sh

include ../Makefile.conf

DOCBOOKS=$(filter-out $(wildcard *.in.xml),$(wildcard *.xml))

IMAGES=$(addprefix html/images/,$(notdir $(wildcard img_src/*.svg))) $(addprefix html/images/callouts/,$(notdir $(wildcard img_src/callouts/*.svg)))

all: $(DOCBOOKS:.xml=.pdf) $(DOCBOOKS:.xml=.x) $(IMAGES:.svg=.png) ; 

images: $(IMAGES:.svg=.png)

clean:
	rm -f *.{1,aux,cb,cb2,glo,idx,log,out,toc,tex,html,pdf,ext,man}
	rm -f modeles/*.tgz
	rm -f modeles/**/*.tgz
	rm -f html/auto-multiple-choice.**/*.html
	rm -f html/images/callouts/*.png html/images/*.png
	rm -f *~

html/images/callouts/%.png: img_src/callouts/%.svg
	inkscape --export-width=12 --export-height=12 --export-png=$@ $<

html/images/%.png: img_src/%.svg
	inkscape --export-width=24 --export-height=24 --export-png=$@ $<

%.tex: %.xml
	dblatex -t tex --xslt-opts="--nonet" --xslt-opts="--catalogs" $< -o $@
	perl addlink.pl $@

%.pdf: %.tex
	pdflatex $< ; pdflatex $<
	rm -f $*.{aux,cb,cb2,glo,idx,log,out,toc}

%.x: %.ext %.man %.html ;

%.ext: %.xml
	perl extrait-fichiers.pl --liste $@ $<

%.man: %.xml
	xsltproc --nonet --catalogs --param man.charmap.use.subset "0" --param make.year.ranges "1" --param make.single.year.ranges "1" --param man.output.lang.in.name.enabled "1" $(DOCBOOK_MAN_XSL) $<
	date > $@


%.html: %.xml doc-xhtml.xsl
	rm -f html/$*/*.html
	xsltproc --nonet --catalogs --stringparam base.dir html/$*/ doc-xhtml.xsl $<
	date > $@

.PHONY: all images clean

=== debian/changelog ===
auto-multiple-choice (0.376-1build1) natty; urgency=low

  * No change rebuild against current libpoppler

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 11 Mar 2011 23:08:20 +0530

auto-multiple-choice (0.376-1) unstable; urgency=low

  * upgraded to the newest version. Its license has been set to GPL2+,
    which Closes: #609604

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 12 Jan 2011 14:52:34 +0100

auto-multiple-choice (0.375-1) unstable; urgency=low

  * upgraded to a newer upstream version, as propmted by Alexis Bienvenüe.
  * added a file debian/watch

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 08 Jan 2011 19:50:14 +0100

auto-multiple-choice (0.355-1) unstable; urgency=low

  * added a management for the file Makefile.versions
  * upgraded to the newest SVN release

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 28 Nov 2010 14:47:03 +0100

auto-multiple-choice (0.297+svnRelease345-1) unstable; urgency=low

  * upgraded to the newer SNV release

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 28 Oct 2010 21:18:54 +0200

auto-multiple-choice (0.297+svnRelease342-1) unstable; urgency=low

  * upgraded to the newer SNV release
  * translated the help file to English, updated the file doc/Makefile
    accordingly
  * modified debian/rules to manage the manpages correctly
  * converted the format to 3.0 (quilt)
  * made a file en.po and "translated" a few words (mainly removed some
    hints for translators)

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 23 Oct 2010 21:34:18 +0200

auto-multiple-choice (0.297+svnRelease328-1) unstable; urgency=low

  * upgraded to the upstream revision #328. Fixes a bug with variable scan 
    definition: 300 ppm did work, lower resolutions did not.
  * updated the dependency on debhelper (>= 7.0.50~)
  * modified doc/Makefile to erase PNG files.
  * added a rule override dh_install_docs to whipe out .svn directories

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 24 Aug 2010 16:33:36 +0200

auto-multiple-choice (0.297-1) unstable; urgency=low

  * modified the geometry settings to ensure that the binary pattern will
    fit more surely the top margin of some printers.
  * modified the Maintainer field in debian/control
  * modified the reference to the maintainer in debian/copyright

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 15 Aug 2010 15:25:23 +0200

auto-multiple-choice (0.297-0.nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * updated the standards level to 3.9.1
  * added a dependency on ${misc:Depends}
  * changed the format to a non-native package
  * publication. Closes: #592231

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 07 Aug 2010 20:46:46 +0200

auto-multiple-choice (0.297) unstable; urgency=low
  
  * Changes within depedencies
  
  * minor improvements

 -- Alexis Bienvenüe <pado@passoire.fr>  Sun, 28 Mar 2010 23:24:08 +0200

auto-multiple-choice (0.283) unstable; urgency=low

  * Models are now TGZ archives

 -- Alexis Bienvenüe <pado@passoire.fr>  Tue, 16 Mar 2010 15:21:03 +0100

auto-multiple-choice (0.276) unstable; urgency=low

  * Partial internationalization
  
  * Bug fixes

 -- Alexis Bienvenüe <pado@passoire.fr>  Fri, 12 Mar 2010 16:33:24 +0100

auto-multiple-choice (0.268) unstable; urgency=low

  * GUI improvements
  
  * new boxes design in LaTeX style

 -- Alexis Bienvenüe <pado@passoire.fr>  Fri, 05 Mar 2010 00:34:00 +0100

auto-multiple-choice (0.250) unstable; urgency=low

  * option for faster layout detection, in test
  
  * possible printing to PDF files
  
  * configurable papers annotation
  
  * Bug fixes

 -- Alexis Bienvenüe <pado@passoire.fr>  Tue, 16 Feb 2010 19:21:33 +0100

auto-multiple-choice (0.237) unstable; urgency=low

  * Better support for option 'ensemble'
  
  * Bug fixes

 -- Alexis Bienvenüe <pado@passoire.fr>  Mon, 08 Feb 2010 16:15:23 +0100

auto-multiple-choice (0.228) unstable; urgency=low

  * possible project creation from zip file.

 -- Alexis Bienvenüe <pado@passoire.fr>  Thu, 04 Feb 2010 18:25:37 +0100

auto-multiple-choice (0.222) unstable; urgency=low

  * minor changes and bugfixes

 -- Alexis Bienvenüe <pado@passoire.fr>  Wed, 03 Feb 2010 11:33:37 +0100

auto-multiple-choice (0.211) unstable; urgency=low
  
  * possible compilation with latex

  * some new configuration options

 -- Alexis Bienvenüe <pado@passoire.fr>  Wed, 27 Jan 2010 21:05:52 +0100

auto-multiple-choice (0.204) unstable; urgency=low
  
  * bug fixes

  * xelatex compatibility
  
  * new LaTeX commands AMClabel and AMCref

 -- Alexis Bienvenüe <pado@passoire.fr>  Sun, 17 Jan 2010 23:50:59 +0100

auto-multiple-choice (0.193) unstable; urgency=low

  * using relative file names
  
 -- Alexis Bienvenüe <pado@passoire.fr>  Wed, 16 Dec 2009 10:13:11 +0100

auto-multiple-choice (0.178) unstable; urgency=low
  
  * variables within marking scale specification

  * important bug corrections

 -- Alexis Bienvenüe <pado@passoire.fr>  Thu, 05 Nov 2009 14:03:16 +0100

auto-multiple-choice (0.169) unstable; urgency=low

  * LaTeX option for pre-svn:156 printed exams

 -- Alexis Bienvenüe <pado@passoire.fr>  Mon, 26 Oct 2009 17:34:35 +0100

auto-multiple-choice (0.168) unstable; urgency=low

  * small bug fixes

 -- Alexis Bienvenüe <pado@passoire.fr>  Fri, 23 Oct 2009 16:34:24 +0200

auto-multiple-choice (0.163) unstable; urgency=low

  * debugging easier
  
  * changed number of binary boxes for greater number of copies

 -- Alexis Bienvenüe <pado@passoire.fr>  Wed, 21 Oct 2009 14:44:13 +0200

auto-multiple-choice (0.152) unstable; urgency=low

  * Codes via AMCcode + automatic association

  * OpenOffice ODS Export
  
 -- Alexis Bienvenüe <pado@passoire.fr>  Sun, 04 Oct 2009 20:40:54 +0200

auto-multiple-choice (0.107) unstable; urgency=low

  * LaTeX : custumisable styles, AMCcode

 -- Alexis Bienvenüe <pado@passoire.fr>  Fri, 10 Jul 2009 22:33:58 +0200

auto-multiple-choice (0.94) unstable; urgency=low

  * Bugs and cosmetics



=== debian/control ===
Source: auto-multiple-choice
Section: x11
Priority: optional
Maintainer: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 7.0.50~), quilt, gettext, libnetpbm10-dev,
 libpoppler-dev, libxml-libxml-perl, dblatex, xsltproc, docbook-xml,
 docbook-xsl, inkscape, netpbm
Standards-Version: 3.9.1
Homepage: http://home.gna.org/auto-qcm/
Vcs-Browser: http://svn.gna.org/viewcvs/auto-qcm/
Vcs-Svn: svn://svn.gna.org/svn/auto-qcm/trunk

Package: auto-multiple-choice
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, liblocale-gettext-perl,
  ${perl:Depends}, 
  libxml-simple-perl, libxml-writer-perl,
  libgtk2-gladexml-perl, libcompress-zlib-perl,
  libgraphics-magick-perl,
  texlive-latex-base, latex-xcolor, texlive-generic-recommended,
  texlive-latex-extra, texlive-fonts-extra,
  imagemagick (>= 7:6.5.5) | graphicsmagick-imagemagick-compat,
  netpbm, ghostscript, poppler-utils,
  unzip
Recommends: libsys-cpu-perl, libnet-cups-perl (>= 0.60), 
  libopenoffice-oodoc-perl
Suggests: texmaker | kile, openoffice.org-calc
Description: Auto Multiple Choice - multiple choice papers management
 Utility to manage multiple choice questionnaires, with optionnaly
 mixed questions and answers. AMC provides automatic marking from papers'
 scans. Annotated papers are produced. Marks can be exported as a
 OpenOffice.org sheet file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	SYSTEM_TYPE=deb dh $@

override_dh_auto_clean:
	rm -f Makefile.versions nv.pl
	dh_auto_clean

override_dh_auto_configure:
	perl local/versions.pl # creates Makefile.versions
	dh_auto_configure

override_dh_installdocs:
	dh_installdocs
	find debian/auto-multiple-choice -type d -name ".svn" | xargs rm -rf

override_dh_installman:
	dh_installman doc/*.1

## auto-multiple-choice 0.550

=== Makefile ===
--- 
+++ 
@@ -17,64 +17,125 @@
 # along with Auto-Multiple-Choice.  If not, see
 # <http://www.gnu.org/licenses/>.
 
-SUB_MAKEFILES=$(wildcard Makefile.versions Makefile.conf)
+# Loads separate configuration file
+
+ifeq ($(AMCCONF),)
+AMCCONFFILE ?= Makefile.conf
+else
+AMCCONFFILE = Makefile-$(AMCCONF).conf
+endif
+
+SUB_MAKEFILES=$(wildcard Makefile.versions $(AMCCONFFILE))
 
 include $(SUB_MAKEFILES)
 
 PACKAGE_DEB_DV=1
-
-SUBST_VARS:=$(shell grep -h '=' $(SUB_MAKEFILES) | grep -v '^\#' | sed 's/?\?=.*//;' ) PACKAGE_DEB_DV
+PERLPATH ?= /usr/bin/perl
+
+# DATE/TIME to be substituted
+
+DATE_RPMCHL:=$(shell LC_TIME=en_US date +"%a %b %e %Y")
+DATE_DEBCHL:=$(shell LANG=C date "+%a, %d %b %Y %H:%M:%S %z")
+
+# list variables to be substituted in *.in files
+
+SUBST_VARS:=$(shell grep -h '=' $(SUB_MAKEFILES) | perl -pe 's/\#.*//;s/\??\+?=.*//;' ) PACKAGE_DEB_DV PERLPATH DATE_DEBCHL DATE_RPMCHL
+
+# Some default values
 
 GCC ?= gcc
 GCC_PP ?= gcc
 CFLAGS ?= -O2
 CXXFLAGS ?= -O2
 
+# try to find right names for OpenCV libs 
+
+ifeq ($(GCC_OPENCV_LIBS),auto)
+ifeq ($(shell echo 'main(){}' | gcc -xc -lopencv_core - 2>/dev/null && echo "OK"),OK)
+  GCC_OPENCV_LIBS:=-lopencv_core -lopencv_highgui -lopencv_imgproc
+else
+  GCC_OPENCV_LIBS:=-lcv -lhighgui -lcxcore
+endif
+endif
+
+#
+
 SHELL=/bin/sh
 
 DESTDIR=
 
-MODS=AMC-*.pl AMC-traitement-image AMC-mepdirect
+# AMC components to build
+
+BINARIES ?= AMC-traitement-image AMC-mepdirect AMC-detect
+
+MODS=AMC-*.pl $(BINARIES)
 GLADE=AMC-gui.glade
-MOD_GLADE=$(wildcard AMC-perl/AMC/Gui/*.glade.in)
-STY=automultiplechoice.sty
+STY=doc/sty/automultiplechoice.sty
+DTX=doc/sty/automultiplechoice.dtx
 MOS=$(wildcard I18N/lang/*.mo)
 LANGS=$(notdir $(basename $(MOS)))
 SUBMODS=$(notdir $(shell ls doc/modeles))
 
 DOC_XML_IN=$(wildcard doc/auto-multiple-choice.*.in.xml)
 
-FROM_IN=auto-multiple-choice auto-multiple-choice.desktop AMC-gui.glade $(MOD_GLADE:.glade.in=.glade) AMC-gui.pl AMC-perl/AMC/Basic.pm doc/doc-xhtml-site.fr.xsl doc/doc-xhtml-site.en.xsl doc/doc-xhtml.xsl $(DOC_XML_IN:.in.xml=.xml)
+# list *.in files for @/VAR/@ substitution
+
+FROM_IN=auto-multiple-choice auto-multiple-choice.desktop AMC-gui.glade AMC-gui.pl AMC-latex-link.pl AMC-perl/AMC/Basic.pm doc/doc-xhtml-site.fr.xsl doc/doc-xhtml-site.en.xsl doc/doc-xhtml.xsl $(DOC_XML_IN:.in.xml=.xml) $(DTX)
+
+# Is this a precomp tarball? If so, the PRECOMP file is present.
 
 PRECOMP_FLAG_FILE=PRECOMP
 PRECOMP_ARCHIVE:=$(wildcard $(PRECOMP_FLAG_FILE))
 
 MAIN_LOGO=icons/auto-multiple-choice
 
+# Sets user and group flags for install command
+
+ifeq ($(INSTALL_USER),)
+else
+USER_GROUP = -o $(INSTALL_USER)
+endif
+ifeq ($(INSTALL_GROUP),)
+else
+USER_GROUP += -g $(INSTALL_GROUP)
+endif
+
+# Target switch (precomp archive or not)
+
 ifeq ($(PRECOMP_ARCHIVE),)
-all: $(FROM_IN) AMC-traitement-image AMC-mepdirect $(MAIN_LOGO).xpm doc I18N ;
+all: $(FROM_IN) $(BINARIES) $(MAIN_LOGO).xpm doc I18N ;
 else
 all: all_precomp ;
 endif
 
-all_precomp: $(FROM_IN) AMC-traitement-image AMC-mepdirect ;
+all_precomp: $(FROM_IN) $(BINARIES) ;
 
 MAJ: $(FROM_IN) ;
+
+# Binaries
 
 AMC-traitement-image: AMC-traitement-image.c Makefile
 	$(GCC) -o $@ $< $(CFLAGS) $(LDFLAGS) $(GCC_NETPBM)
 
 AMC-mepdirect: AMC-mepdirect.cc Makefile
-	$(GCC_PP) -o $@ $< $(CXXFLAGS) $(LDFLAGS) $(GCC_POPPLER)
+	$(GCC_PP) -o $@ $< $(CXXFLAGS) $(LDFLAGS) $(CXXLDFLAGS) $(GCC_POPPLER) -lstdc++ -lm
+
+AMC-detect: AMC-detect.cc Makefile
+	$(GCC_PP) -o $@ $< $(CXXFLAGS) $(LDFLAGS) $(CXXLDFLAGS) -lstdc++ -lm $(GCC_OPENCV) $(GCC_OPENCV_LIBS)
+
+# substitution in *.in files
 
 %.xml: %.in.xml
-	sed $(foreach varname,$(SUBST_VARS), -e 's|@/$(varname)/@|$($(varname))|g;' ) -e 's+/usr/share/xml/docbook/schema/dtd/4.5/docbookx.dtd+$(DOCBOOK_DTD)+g;' $< > $@
+	perl -p $(foreach varname,$(SUBST_VARS), -e 's|@/$(varname)/@|$($(varname))|g;' ) -e 's+/usr/share/xml/docbook/schema/dtd/4.5/docbookx.dtd+$(DOCBOOK_DTD)+g;' $< > $@
 
 %: %.in $(SUB_MAKEFILES)
-	sed $(foreach varname,$(SUBST_VARS), -e 's|@/$(varname)/@|$($(varname))|g;' ) $< > $@
+	perl -p $(foreach varname,$(SUBST_VARS), -e 's|@/$(varname)/@|$($(varname))|g;' ) $< > $@
+
+# some components
 
 doc:
 	$(MAKE) -C doc
+	$(MAKE) -C doc/sty
 
 I18N:
 	$(MAKE) -C I18N
@@ -82,6 +143,8 @@
 sync:
 	$(MAKE) -C download-area all
 
+# Individual rules
+
 %.ps: %.dvi
 	dvips $< -o $@
 
@@ -89,20 +152,25 @@
 	convert -density 300 $< $*-%03d.ppm
 
 %.png: %.svg
-	inkscape --export-width=32 --export-height=32 --export-png=$@ $<
+	rsvg -w 32 -h 32 $< $@
 
 %.xpm: %.png
 	pngtopnm $< | ppmtoxpm > $@
+
+# CLEAN
 
 clean_IN: FORCE
 	rm -rf debian/auto-multiple-choice
 	rm -f $(FROM_IN)
 
 clean: clean_IN FORCE
-	rm -f AMC-traitement-image AMC-mepdirect $(MAIN_LOGO).xpm
+	rm -f $(BINARIES) $(MAIN_LOGO).xpm
 	rm -f auto-multiple-choice.spec
+	$(MAKE) -C doc/sty clean
 	$(MAKE) -C doc clean
 	$(MAKE) -C I18N clean
+
+# INSTALL
 
 install_lang_%: FORCE
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(LOCALEDIR)/$*/LC_MESSAGES
@@ -123,6 +191,10 @@
 	install    -m 0644 $(USER_GROUP) $(GLADE) $(DESTDIR)/$(MODSDIR)
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(TEXDIR)
 	install    -m 0644 $(USER_GROUP) $(STY) $(DESTDIR)/$(TEXDIR)
+ifneq ($(TEXDOCDIR),)
+	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(TEXDOCDIR)
+	install    -m 0644 $(USER_GROUP) doc/sty/*.pdf doc/sty/*.tex $(DESTDIR)/$(TEXDOCDIR)
+endif
 ifneq ($(DESKTOPDIR),)
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(DESKTOPDIR)
 	install    -m 0644 $(USER_GROUP) -T auto-multiple-choice.desktop $(DESTDIR)/$(DESKTOPDIR)/auto-multiple-choice.desktop
@@ -131,8 +203,10 @@
 	install    -m 0755 $(USER_GROUP) auto-multiple-choice $(DESTDIR)/$(BINDIR)
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(ICONSDIR)
 	install    -m 0644 $(USER_GROUP) icons/*.svg $(DESTDIR)/$(ICONSDIR)
+ifneq ($(PIXDIR),)
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PIXDIR)
 	install    -m 0644 $(USER_GROUP) -T $(MAIN_LOGO).xpm $(DESTDIR)/$(PIXDIR)/auto-multiple-choice.xpm
+endif
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Export
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(PERLDIR)/AMC/Gui
@@ -141,10 +215,16 @@
 	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Gui/*.pm $(DESTDIR)/$(PERLDIR)/AMC/Gui
 	install    -m 0644 $(USER_GROUP) AMC-perl/AMC/Gui/*.glade $(DESTDIR)/$(PERLDIR)/AMC/Gui
 ifneq ($(SYSTEM_TYPE),deb) # with debian, done with dh_install{doc,man}
-ifneq ($(SYSTEM_TYPE),rpm)
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(DOCDIR)
-	install    -m 0644 $(USER_GROUP) doc/auto-multiple-choice.{xml,pdf} $(DESTDIR)/$(DOCDIR)
+	install    -m 0644 $(USER_GROUP) $(wildcard doc/auto-multiple-choice.??.xml doc/auto-multiple-choice.??.pdf) $(DESTDIR)/$(DOCDIR)
 	cp -r doc/html $(DESTDIR)/$(DOCDIR)
+ifeq ($(INSTALL_USER),)
+else
+	chown -hR $(INSTALL_USER) $(DESTDIR)/$(DOCDIR)
+endif
+ifeq ($(INSTALL_GROUP),)
+else
+	chgrp -hR $(INSTALL_GROUP) $(DESTDIR)/$(DOCDIR)
 endif
 	install -d -m 0755 $(USER_GROUP) $(DESTDIR)/$(MAN1DIR)
 	install    -m 0644 $(USER_GROUP) doc/*.1 $(DESTDIR)/$(MAN1DIR)
@@ -158,7 +238,7 @@
 LOCALDIR=$(shell pwd)
 
 global: FORCE
-	-sudo rm /usr/share/perl5/AMC /usr/lib/AMC/AMC-traitement-image /usr/lib/AMC/AMC-mepdirect $(ICONSDIR) /usr/share/doc/auto-multiple-choice $(LOCALEDIR)/fr/LC_MESSAGES/auto-multiple-choice.mo $(DESKTOPDIR)/auto-multiple-choice.desktop
+	-sudo rm /usr/share/perl5/AMC /usr/lib/AMC/AMC-traitement-image /usr/lib/AMC/AMC-detect /usr/lib/AMC/AMC-mepdirect $(ICONSDIR) /usr/share/doc/auto-multiple-choice $(LOCALEDIR)/fr/LC_MESSAGES/auto-multiple-choice.mo $(DESKTOPDIR)/auto-multiple-choice.desktop $(MODELSDIR) /usr/lib/AMC/*.pl /usr/lib/AMC/*.glade /usr/bin/auto-multiple-choice
 
 local: global
 	test -d /usr/lib/AMC || sudo mkdir -p /usr/lib/AMC
@@ -167,10 +247,14 @@
 	sudo ln -s $(LOCALDIR)/I18N/lang/fr.mo $(LOCALEDIR)/fr/LC_MESSAGES/auto-multiple-choice.mo
 	sudo ln -s $(LOCALDIR)/AMC-perl/AMC /usr/share/perl5/AMC
 	sudo ln -s $(LOCALDIR)/AMC-traitement-image /usr/lib/AMC/AMC-traitement-image
+	sudo ln -s $(LOCALDIR)/AMC-detect /usr/lib/AMC/AMC-detect
 	sudo ln -s $(LOCALDIR)/AMC-mepdirect /usr/lib/AMC/AMC-mepdirect
+	sudo ln -s $(LOCALDIR)/AMC-*.pl $(LOCALDIR)/AMC-*.glade /usr/lib/AMC
+	sudo ln -s $(LOCALDIR)/auto-multiple-choice /usr/bin
 	sudo ln -s $(LOCALDIR)/icons $(ICONSDIR)
 	sudo ln -s $(LOCALDIR)/doc /usr/share/doc/auto-multiple-choice
 	sudo ln -s $(LOCALDIR)/auto-multiple-choice.desktop $(DESKTOPDIR)/auto-multiple-choice.desktop
+	sudo ln -s $(LOCALDIR)/doc/modeles $(MODELSDIR)
 
 ifdef DEBSIGN_KEY
 DEBSIGN=-k$(DEBSIGN_KEY)
@@ -188,12 +272,21 @@
 
 version_files:
 	perl local/versions.pl
-	make auto-multiple-choice.spec
+	$(MAKE) auto-multiple-choice.spec
 
 tmp_copy:
 	rm -rf $(TMP_SOURCE_DIR)
 	mkdir $(TMP_SOURCE_DIR)
 	rsync -aC --exclude '*~' --exclude download_area --exclude local . $(TMP_SOURCE_DIR)
+	$(MAKE) -C $(TMP_SOURCE_DIR) clean
+
+portable_vok:
+	$(eval TMP_PORTABLE:=$(shell mktemp -d /tmp/portable.XXXXXXXXXX))
+	$(MAKE) tmp_copy
+	make AMCCONF=portable INSTREP=$(TMP_PORTABLE)/AMC -C $(TMP_SOURCE_DIR)
+	make AMCCONF=portable INSTREP=$(TMP_PORTABLE)/AMC -C $(TMP_SOURCE_DIR) install
+	cd $(TMP_PORTABLE) ; tar cvzf /tmp/auto-multiple-choice_$(PACKAGE_V_DEB)_portable.tar.gz $(SRC_EXCL) AMC
+	rm -rf $(TMP_PORTABLE)
 
 sources_vok:
 	$(MAKE) tmp_copy
@@ -201,6 +294,7 @@
 	$(MAKE) -C $(TMP_SOURCE_DIR) MAJ
 	$(MAKE) -C $(TMP_SOURCE_DIR) $(MAIN_LOGO).xpm I18N doc
 	$(MAKE) -C $(TMP_SOURCE_DIR) clean_IN
+	$(MAKE) -C $(TMP_SOURCE_DIR) auto-multiple-choice.spec
 	touch $(TMP_SOURCE_DIR)/$(PRECOMP_FLAG_FILE)
 	cd /tmp ; tar cvzf auto-multiple-choice_$(PACKAGE_V_DEB)_precomp.tar.gz $(SRC_EXCL) $(SOURCE_DIR)
 
@@ -217,7 +311,7 @@
 
 # % : make sure version_files are rebuilt before calling target %_vok
 
-$(foreach key,deb debsrc sources,$(eval $(key): clean version_files ; $$(MAKE) $(key)_vok))
+$(foreach key,deb debsrc sources portable,$(eval $(key): clean version_files ; $$(MAKE) $(key)_vok))
 
 # debian repository

=== I18N/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-# Copyright (C) 2010 Alexis Bienvenue <paamc@passoire.fr>
+# Copyright (C) 2010-2011 Alexis Bienvenue <paamc@passoire.fr>
 #
 # This file is part of Auto-Multiple-Choice
 #
@@ -43,12 +43,20 @@
 %.mo: %.po
 	msgfmt $< -o $@
 
+###############################################################
+# The following targets are only for packaging :
+# not used for building or installing
+
+po-clean.pl: po-clean.pl.in ../Makefile.versions
+	$(MAKE) -C .. I18N/po-clean.pl
+
 %.pot: %.bpot po-clean.pl
 	perl po-clean.pl $< $@
 
 $(DOMAIN).bpot: $(PERL) $(GLADE)
 	xgettext $(XGETTO) --add-comments=TRANSLATORS: $(PERL) -k__ -k__p -k -o $@
 	xgettext $(XGETTO) -j $(GLADE) -o $@
+
 list:
 	grep -lr __ $(AMC) |grep '\.\(pl\|pm\)$$' | grep -v 'debian' ; ls $(GLADE)
 
@@ -57,6 +65,8 @@
 
 merge: $(addsuffix .merge,$(LANGS)) ;
 
+###############################################################
+
 FORCE: ;
 
 .PHONY: all clean list merge FORCE

=== doc/Makefile ===
--- 
+++ 
@@ -30,7 +30,7 @@
 images: $(IMAGES:.svg=.png)
 
 clean:
-	rm -f *.{1,aux,cb,cb2,glo,idx,log,out,toc,tex,html,pdf,ext,man}
+	rm -f $(foreach ext,1 aux cb cb2 glo idx log out toc tex html pdf ext man,*.$(ext))
 	rm -f modeles/*.tgz
 	rm -f modeles/**/*.tgz
 	rm -f html/auto-multiple-choice.**/*.html
@@ -38,18 +38,18 @@
 	rm -f *~
 
 html/images/callouts/%.png: img_src/callouts/%.svg
-	inkscape --export-width=12 --export-height=12 --export-png=$@ $<
+	rsvg -w 12 -h 12 $< $@
 
 html/images/%.png: img_src/%.svg
-	inkscape --export-width=24 --export-height=24 --export-png=$@ $<
+	rsvg -w 24 -h 24 $< $@
 
 %.tex: %.xml
-	dblatex -t tex --xslt-opts="--nonet" --xslt-opts="--catalogs" $< -o $@
+	dblatex -t tex --xslt-opts="--nonet" --xslt-opts="--catalogs" $(DBLATEX_OPT) $< -o $@
 	perl addlink.pl $@
 
 %.pdf: %.tex
 	pdflatex $< ; pdflatex $<
-	rm -f $*.{aux,cb,cb2,glo,idx,log,out,toc}
+	rm -f $(foreach ext,aux cb cb2 glo idx log out toc,$*.$(ext))
 
 %.x: %.ext %.man %.html ;

=== debian/changelog ===
auto-multiple-choice (0.550-2) unstable; urgency=low

  * downgraded the dependency on libopencv, since a version 2.1 
    can be accepted too

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 23 Jul 2011 23:23:26 +0200

auto-multiple-choice (0.550-1) unstable; urgency=low

  * upgraded to the newest upstream version. This ensures that the
    compilation will be done correctly either with version 2.1 or 2.3
    of openCV, which makes this release usable for Sid and testing.

 -- Georges Khaznadar <georgesk@ofset.org>  Sat, 23 Jul 2011 13:02:13 +0200

auto-multiple-choice (0.468-3) experimental; urgency=low

  * modified the build-dependency on libcv-dev: now it requires a version
    >=2.3.0 to ensure the proper libraries to be loaded. Closes: #634795

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 20 Jul 2011 18:37:19 +0200

auto-multiple-choice (0.468-2) experimental; urgency=low

  * included Nobuhiro Iwamatsu's patch: Fix FTBFS with opencv 2.3
    Closes: #634795

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 20 Jul 2011 10:42:09 +0200

auto-multiple-choice (0.468-1) unstable; urgency=low

  * upgraded to the newest upstream version
  * added missing (c) statements in debian/copyright

 -- Georges Khaznadar <georgesk@ofset.org>  Sun, 19 Jun 2011 15:44:58 +0200

auto-multiple-choice (0.458-1) unstable; urgency=low

  * upgraded to the new upstream version
  * changed the build-dependency inkscape -> rsvg
  * added a build-dependency on latex-xcolor
  * modified AMC-detect.cc files to comply with gcc4.6
  * bumped Standards-Version to 3.9.2

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 02 May 2011 02:29:15 +0200

auto-multiple-choice (0.426-3) unstable; urgency=low

  * applied Alexis Bienvenüe's patches. Closes: #618066

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 16 Mar 2011 11:42:40 +0100

auto-multiple-choice (0.426-2) unstable; urgency=low

  * removed the explicit target override_dh_auto_clean which was no more
    needed

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 16 Mar 2011 11:39:25 +0100

auto-multiple-choice (0.426-1) unstable; urgency=low

  * upgraded to the newest version.
  * removes the stuff about versions.pl, as requested by the upstream author

 -- Georges Khaznadar <georgesk@ofset.org>  Mon, 14 Feb 2011 18:24:35 +0100

## auto-multiple-choice 1.0

=== Makefile ===
--- 
+++ 
@@ -51,7 +51,7 @@
 # try to find right names for OpenCV libs 
 
 ifeq ($(GCC_OPENCV_LIBS),auto)
-ifeq ($(shell echo 'main(){}' | gcc -xc -lopencv_core - 2>/dev/null && echo "OK"),OK)
+ifeq ($(shell echo 'main(){}' | gcc -xc -lopencv_core - -o /dev/null 2>/dev/null && echo "OK"),OK)
   GCC_OPENCV_LIBS:=-lopencv_core -lopencv_highgui -lopencv_imgproc
 else
   GCC_OPENCV_LIBS:=-lcv -lhighgui -lcxcore

=== debian/changelog ===
auto-multiple-choice (1.0-1) unstable; urgency=low

  * upgraded to the new upstream source

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 22 Sep 2011 09:35:38 +0200

auto-multiple-choice (0.550-3) unstable; urgency=low

  * modified postrm, with Alexis Bienvenüe's help. Closes: #640611

 -- Georges Khaznadar <georgesk@ofset.org>  Tue, 06 Sep 2011 18:51:13 +0200

## auto-multiple-choice 1.0.2

=== debian/changelog ===
auto-multiple-choice (1.0.2-1) unstable; urgency=low

  * upgraded to the new upstream source

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 12 Oct 2011 10:32:34 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Georges Khaznadar <georgesk@ofset.org>
 Build-Depends: debhelper (>= 7.0.50~), quilt, gettext, libnetpbm10-dev,
  libpoppler-dev, libxml-libxml-perl, dblatex, xsltproc, docbook-xml,
- docbook-xsl, inkscape, netpbm
-Standards-Version: 3.9.1
+ docbook-xsl, librsvg2-bin, netpbm, libcv-dev (>=2.1), libhighgui-dev,
+ latex-xcolor
+Standards-Version: 3.9.2
 Homepage: http://home.gna.org/auto-qcm/
 Vcs-Browser: http://svn.gna.org/viewcvs/auto-qcm/
 Vcs-Svn: svn://svn.gna.org/svn/auto-qcm/trunk
@@ -20,7 +21,7 @@
   texlive-latex-base, latex-xcolor, texlive-generic-recommended,
   texlive-latex-extra, texlive-fonts-extra,
   imagemagick (>= 7:6.5.5) | graphicsmagick-imagemagick-compat,
-  netpbm, ghostscript, poppler-utils,
+  netpbm, ghostscript, poppler-utils, libarchive-zip-perl,
   unzip
 Recommends: libsys-cpu-perl, libnet-cups-perl (>= 0.60), 
   libopenoffice-oodoc-perl

## auto-multiple-choice 1.0.3

=== Makefile ===
--- 
+++ 
@@ -304,7 +304,7 @@
 	cp local/deb-auto-changelog $(TMP_SOURCE_DIR)/debian/changelog
 
 debsrc_vok: tmp_deb
-	cd $(TMP_SOURCE_DIR) ; dpkg-buildpackage -S -sn $(BUILDOPTS)
+	cd $(TMP_SOURCE_DIR) ; dpkg-buildpackage -S $(BUILDOPTS)
 
 deb_vok: tmp_deb
 	cd $(TMP_SOURCE_DIR) ; dpkg-buildpackage -b $(BUILDOPTS)

=== I18N/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 
 PERL=$(AMC)/*.pl $(AMC)/AMC-perl/AMC/*.pm $(AMC)/AMC-perl/AMC/**/*.pm 
 
-GLADE=$(AMC)/AMC-gui.glade $(AMC)/AMC-perl/AMC/**/*.glade
+GLADE=$(AMC)/AMC-*.glade $(AMC)/AMC-perl/AMC/**/*.glade
 
 POS=$(wildcard lang/*.po)
 MOS=$(POS:.po=.mo)

=== doc/Makefile ===
--- 
+++ 
@@ -25,7 +25,9 @@
 
 IMAGES=$(addprefix html/images/,$(notdir $(wildcard img_src/*.svg))) $(addprefix html/images/callouts/,$(notdir $(wildcard img_src/callouts/*.svg)))
 
-all: $(DOCBOOKS:.xml=.pdf) $(DOCBOOKS:.xml=.x) $(IMAGES:.svg=.png) ; 
+MODELS=$(wildcard modeles/*/*.d)
+
+all: $(DOCBOOKS:.xml=.pdf) $(DOCBOOKS:.xml=.x) $(IMAGES:.svg=.png) $(MODELS:.d=.tgz); 
 
 images: $(IMAGES:.svg=.png)
 
@@ -66,4 +68,7 @@
 	xsltproc --nonet --catalogs --stringparam base.dir html/$*/ doc-xhtml.xsl $<
 	date > $@
 
+%.tgz: %.d
+	tar czf $@ -C $< .
+
 .PHONY: all images clean

=== debian/changelog ===
auto-multiple-choice (1.0.3-2) unstable; urgency=low

  * changed the invokation of rsvg (=> rsvg-convert). Closes: #659849
  * added a "real" dependency on libio-compress-perl

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 15 Feb 2012 06:17:58 +0000

auto-multiple-choice (1.0.3-1) unstable; urgency=low

  * upgraded to the newer upstream version.

 -- Georges Khaznadar <georgesk@ofset.org>  Thu, 22 Dec 2011 18:39:26 +0100

auto-multiple-choice (1.0.2-3) unstable; urgency=low

  * recompiled the package with pbuider since the binary package for amd64
    was linked to libraries existing only in experimental (my fault)

 -- Georges Khaznadar <georgesk@ofset.org>  Wed, 16 Nov 2011 17:29:00 +0100

auto-multiple-choice (1.0.2-2) unstable; urgency=low

  * added a dependency on librsvg2-common. LP:#882828

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 11 Nov 2011 10:51:36 +0100

=== debian/control ===
--- 
+++ 
@@ -16,12 +16,12 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, liblocale-gettext-perl,
   ${perl:Depends}, 
   libxml-simple-perl, libxml-writer-perl,
-  libgtk2-gladexml-perl, libcompress-zlib-perl,
+  libgtk2-gladexml-perl, libio-compress-perl|libcompress-zlib-perl,
   libgraphics-magick-perl,
   texlive-latex-base, latex-xcolor, texlive-generic-recommended,
   texlive-latex-extra, texlive-fonts-extra,
   imagemagick (>= 7:6.5.5) | graphicsmagick-imagemagick-compat,
-  netpbm, ghostscript, poppler-utils, libarchive-zip-perl,
+  netpbm, ghostscript, poppler-utils, libarchive-zip-perl, librsvg2-common,
   unzip
 Recommends: libsys-cpu-perl, libnet-cups-perl (>= 0.60), 
   libopenoffice-oodoc-perl

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	SYSTEM_TYPE=deb dh $@


override_dh_installdocs:
	dh_installdocs
	find debian/auto-multiple-choice -type d -name ".svn" | xargs rm -rf

override_dh_installman:
	dh_installman doc/*.1

## auto-multiple-choice 1.1.1

=== debian/changelog ===
auto-multiple-choice (1.1.1-2) unstable; urgency=low

  * Calls dh_installtex only for package auto-multiple-choice-common.
  * Added misc:Depends dependency for all packages.
  * changed debhelper build-depends version to >=9 to reflect compat
    value.

 -- Alexis Bienvenüe <pado@passoire.fr>  Tue, 19 Jun 2012 15:52:47 +0200

auto-multiple-choice (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Upgrades compat to 9 so that the build flags are passed to make even
    without configure step.
  * Uses --with tex to handle tex files installation properly.
    Closes: #677485
  * Added a sharedmimeinfo file
  * Removed postinst and postrm now created by dh_* scripts.
  * Added texstudio alternative to suggested packages.
  * Added GtkSourceView lang file (was missing in packages).

 -- Alexis Bienvenüe <pado@passoire.fr>  Sun, 17 Jun 2012 21:28:37 +0200

auto-multiple-choice (1.1.0-2) unstable; urgency=low

  * Added Breaks: and Replaces: for split package. Closes: #673799

 -- Alexis Bienvenüe <pado@passoire.fr>  Mon, 21 May 2012 19:17:16 +0200

auto-multiple-choice (1.1.0-1) unstable; urgency=low

  [ Alexis Bienvenüe ]
  * upgraded to new upstream version.
  * cleaned rules.
  * removed obsolete patches.
  * updated dependencies - libpoppler-dev is not used anymore. Closes: #660094
  * split the package to isolate architecture-independent files
    and documentation.
  * documentation registered with doc-base.
  * bumped Standards-Version to 3.9.3.
  * section changed to education.
  * updated copyright to follow new copyright format version.

  [ Georges Khaznadar ]
  * changed my status to Uploders' member, Alexis is now Maintainer

 -- Georges Khaznadar <georgesk@ofset.org>  Fri, 11 May 2012 09:38:50 +0000

=== debian/control ===
Source: auto-multiple-choice
Section: education
Priority: optional
Maintainer: Alexis Bienvenüe <pado@passoire.fr>
Uploaders: Georges Khaznadar <georgesk@ofset.org>
Build-Depends: debhelper (>= 9), gettext, libnetpbm10-dev,
 libxml-libxml-perl, dblatex, xsltproc, docbook-xml,
 docbook-xsl, librsvg2-bin, netpbm, libcv-dev (>=2.1), libhighgui-dev,
 latex-xcolor, tex-common
Standards-Version: 3.9.3
Homepage: http://home.gna.org/auto-qcm/
Vcs-Browser: http://svn.gna.org/viewcvs/auto-qcm/
Vcs-Svn: svn://svn.gna.org/svn/auto-qcm/trunk

Package: auto-multiple-choice
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 auto-multiple-choice-common (= ${source:Version})
Recommends: auto-multiple-choice-doc (= ${source:Version})
Suggests: texstudio | texmaker | kile, openoffice.org-calc
Description: Auto Multiple Choice - multiple choice papers management
 Utility to manage multiple choice questionnaires, with optionnaly
 mixed questions and answers. AMC provides automatic marking from papers'
 scans. Annotated papers are produced. Marks can be exported as a
 OpenOffice.org sheet file.

Package: auto-multiple-choice-common
Architecture: all
Replaces: auto-multiple-choice (<< 1.1.0-1)
Breaks: auto-multiple-choice (<< 1.1.0-1)
Depends: ${misc:Depends}, ${perl:Depends},
 liblocale-gettext-perl, libxml-simple-perl, libxml-writer-perl,
 libgtk2-perl, libio-compress-perl|libcompress-zlib-perl,
 libgraphics-magick-perl, libdbd-sqlite3-perl, libdbi-perl,
 libfile-mimeinfo-perl, libtext-csv-perl, texlive-latex-base,
 latex-xcolor, texlive-generic-recommended, texlive-latex-extra,
 texlive-fonts-extra, imagemagick (>= 7:6.5.5) |
 graphicsmagick-imagemagick-compat, netpbm, ghostscript,
 poppler-utils, libarchive-zip-perl, librsvg2-common, unzip,
Recommends: libsys-cpu-perl, libnet-cups-perl (>= 0.60), 
 libopenoffice-oodoc-perl, libemail-mime-perl, libemail-sender-perl,
 fonts-linuxlibertine | ttf-linux-libertine, texlive-xetex
Description: Auto Multiple Choice - architecture independent files
 Utility to manage multiple choice questionnaires, with optionnaly
 mixed questions and answers. AMC provides automatic marking from papers'
 scans. Annotated papers are produced. Marks can be exported as a
 OpenOffice.org sheet file.
 .
 These are architecture independent files.

Package: auto-multiple-choice-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Auto Multiple Choice - HTML documentation
 Utility to manage multiple choice questionnaires, with optionnaly
 mixed questions and answers. AMC provides automatic marking from papers'
 scans. Annotated papers are produced. Marks can be exported as a
 OpenOffice.org sheet file.
 .
 This is AMC HTML documentation.

Package: auto-multiple-choice-doc-pdf
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Auto Multiple Choice - PDF documentation
 Utility to manage multiple choice questionnaires, with optionnaly
 mixed questions and answers. AMC provides automatic marking from papers'
 scans. Annotated papers are produced. Marks can be exported as a
 OpenOffice.org sheet file.
 .
 This is AMC PDF documentation.

## auto-multiple-choice 1.2.0

=== debian/changelog ===
auto-multiple-choice (1.2.0-2) unstable; urgency=low

  * added a build-dependency on texlive-lang-french; Closes: #712350

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Jun 2013 07:05:34 +0200

auto-multiple-choice (1.2.0-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.9.4.
  * Added libgtk2-notify-perl dependency (Recommends)
  * [Georges Khaznadar] changed my DEBEMAIL, repackaged and signed

 -- Alexis Bienvenüe <pado@passoire.fr>  Tue, 07 May 2013 20:55:22 +0200

auto-multiple-choice (1.1.2-1) unstable; urgency=low

  * New upstream release.
  * Typo corrected in the description.

 -- Alexis Bienvenüe <pado@passoire.fr>  Tue, 08 Jan 2013 15:10:13 +0100
